Bug 1271966 - (CVE-2015-7645, CVE-2015-7647, CVE-2015-7648) CVE-2015-7645 CVE-2015-7647 CVE-2015-7648 flash-plugin: multiple code execution issue fixed in APSB15-27
CVE-2015-7645 CVE-2015-7647 CVE-2015-7648 flash-plugin: multiple code executi...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20151014,repor...
: Security
Depends On: 1272584 1272585 1272586
Blocks: 1272340
  Show dependency treegraph
 
Reported: 2015-10-15 03:58 EDT by Martin Prpič
Modified: 2015-11-24 07:19 EST (History)
7 users (show)

See Also:
Fixed In Version: flash-plugin 11.2.202.540
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-18 07:53:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2015-10-15 03:58:50 EDT
Adobe Security Bulletin APSA15-05 for Adobe Flash Player describes a flaw that can possibly lead to code execution when Flash Player is used to play a specially crafted SWF file:

A critical vulnerability (CVE-2015-7645) has been identified in Adobe Flash Player 19.0.0.207 and earlier versions for Windows, Macintosh and Linux. Successful exploitation could cause a crash and potentially allow an attacker to take control of the affected system.

Adobe is aware of a report that an exploit for this vulnerability is being used in limited, targeted attacks. Adobe expects to make an update available during the week of October 19.

https://helpx.adobe.com/security/products/flash-player/apsa15-05.html
Comment 3 Tomas Hoger 2015-10-16 15:45:26 EDT
Availability of fixes was now announced via APSB15-27.  Fixed Linux version is 11.2.202.540.

https://helpx.adobe.com/security/products/flash-player/apsb15-27.html

Two additional issues are fixed in this update.  Security fixes are described in the Adobe Bulletin as:

These updates resolve type confusion vulnerabilities that could lead to code execution (CVE-2015-7645, CVE-2015-7647, CVE-2015-7648).
Comment 5 errata-xmlrpc 2015-10-16 17:44:21 EDT
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2015:1913 https://rhn.redhat.com/errata/RHSA-2015-1913.html
Comment 6 errata-xmlrpc 2015-11-11 06:21:52 EST
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2015:2024 https://rhn.redhat.com/errata/RHSA-2015-2024.html

Note You need to log in before you can comment on or make changes to this bug.